set term postscript eps enhanced color "Helvetica" 8
set multiplot
#set term postscript eps enhanced color "Helvetica" 8
set ylabel 'Delta T/T_f - delta T/T'
set xlabel 'Time (s)'
unset logscale
set size 0.5,1.0
set origin 0.0,0.0
set logscale y
plot \
'./exp/jv1/jv.dat' using ($1):($2) with lp lw 4 title 'dark',\
'./sim/jv1/jvexternal.dat' using ($1):($2) with lp lw 4 title 'dark'

unset logscale y
set yrange [:200]
set origin 0.5,0.0
plot\
'./exp/jv0/jv.dat' using ($1):($2) with lp lw 4 title 'light',\
'./sim/jv0/jvexternal.dat' using ($1):($2) with lp lw 4 title 'dark'

