#ifndef otrace_h
#define otrace_h
#include "../../sim.h"

struct otrace 
{
	int otrace_start_at_vbi;
	int otrace_enable_time_mesh;
	double Rshort_otrace;
	double otrace_dt;
	double otrace_t0;
	double otrace_t1;
	double otrace_t2;
	double otrace_t3;
	double otrace_Vexternal;
	double otrace_Vmax;
	double otrace_time_j0;
	double otrace_time_j1;
	double otrace_laser_on;
	double otrace_laser_width;
	double otrace_laser_eff;
	double otrace_Vss;
	int otrace_match_tpv;
};

extern struct otrace otrace_config;
double newton_otrace(struct device *in,double Vtot,int usecap);
void otrace_load_config(struct otrace *in,struct device *dev);
void sim_otrace(struct device *in);
void newton_aux_otrace(struct device *in,double V,double* i,double* didv,double* didphi,double* didxil,double* didxipl,double* didphir,double* didxir,double* didxipr);
void join_tpv_to_ce(struct device *in);

#endif
