//<clean=none></clean>
#ifndef tpc_h
#define tpc_h
#include "../../sim.h"

struct tpc
{
double tpcstop;
double tpclaseroff;
double tpcdtstart;
double tpcdtmull;
double tpclaserpower;
double Rtpc_short;
int tsteps;
int pulsestart;
int pulselen;
int reprate;
double timeshift;
double tpc_externalv;
int tpc_sim_all;
double tpc_L;
double tpc_power_suply;
};

extern struct tpc tpc_config;
void tpc_load_config(struct tpc *in,struct device *dev);
void sim_tpc(struct device *in);
void newton_sim_tpc(struct device *in);
double newton_sim_tpc_all(struct device *in);

#endif
